Subject: bug#35035: 12.1.2; TeX-evince-sync-view locking up with this file

From: Arash Esbati <[email-masked]>
Date: Fri, 03 Jan 2025 21:05:27 +0100

Faheem Mitha <[email-masked]> writes:

> I managed to get `TeX-evince-sync-view` to consistently lock up with
> this file. I realise this is a pathological case, but I still think
> that it could be handled better.
>
> I wrote a question on TeX Stack Exchange, which is currently at
> https://tex.stackexchange.com/q/481892/3406
>
> I'll mostly just reproduce that question below. The file also appears
> below.
>
> When I compile this file with AUCTeX, it shows that one page has been
> compiled. When I try to view it, using `TeX-evince-sync-view`, it
> shows a blank view.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't use evince, and I'm not on Debian, but they way I see it running
pdflatex on this file (called mwe.ltx):

--8<---------------cut here---------------start------------->8---
\documentclass[12pt]{article}

\usepackage{shellesc}
\usepackage{tikz}
\usepackage{pdfpages}

\begin{document}

\begin{filecontents*}[overwrite]{mwe-bar.tex}
\documentclass[12pt]{article}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}  % This will be output to bar
\node [font=\bfseries\Large, align=center] at (7, 4.1){TEST};
\end{tikzpicture}
\end{document}
\end{filecontents*}

\ShellEscape{pdflatex mwe-bar.tex}

\end{document}

%%% Local Variables:
%%% mode: LaTeX
%%% TeX-master: t
%%% TeX-source-correlate-mode: t
%%% TeX-command-extra-options: "--shell-escape"
%%% End:
--8<---------------cut here---------------end--------------->8---

produces this log file:

--8<---------------cut here---------------start------------->8---
...
Output written on mwe-bar.pdf (1 page, 17553 bytes).
Transcript written on mwe-bar.log.
(./mwe.aux) )
No pages of output.
Transcript written on mwe.log.
--8<---------------cut here---------------end--------------->8---

which says that 1 page is produced for the code written by filecontents*
environment, but the main document didn't produce any pages.  My viewer
(skim) says that there is no mwe.pdf to open, and ends gracefully.

> After I kill it, `TeX-evince-sync-view` stops responding, and gives me
> a D-Bus error: "call timed out" message. I suppose this is because the
> only LaTeX file here is in a different file, and the main file doesn't
> have any content, but AUCTeX really should cope better. Can anyone
> reproduce this?

I'm not sure why AUCTeX should do this better?  At the end of the day,
it just hands over a shell command and tells the viewer which file to
open.  I haven't checked the code for `TeX-view', but I don't see the
issue on AUCTeX's side per se.

Can you still produce this issue if you update your setup?

Best, Arash